Skip to main content
POST
/
wp-json
/
getmcp
/
v1
/
servers
/
{server_id}
/
resources
/
{id}
curl -X POST \
  -H "Authorization: Bearer gmcp_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "description": "Updated guide for all weather tools",
    "data_source_config": {
      "content": "# Updated Weather Tools Guide\n\n..."
    }
  }' \
  "https://yoursite.com/wp-json/getmcp/v1/servers/1/resources/3"
{
  "id": 3,
  "server_id": 1,
  "uri": "docs://tool-guide",
  "name": "Tool Usage Guide",
  "description": "Updated guide for all weather tools",
  "mime_type": "text/markdown",
  "data_source_type": "static",
  "data_source_config": {
    "content": "# Updated Weather Tools Guide\n\n..."
  },
  "template_uri": null,
  "created_at": "2025-03-18T10:00:00",
  "updated_at": "2025-03-18T14:00:00"
}

Path Parameters

server_id
integer
required
The numeric ID of the server.
id
integer
required
The numeric ID of the resource to update.

Body Parameters

All fields are optional.
uri
string
New URI for the resource.
name
string
New display name.
description
string
New description.
mime_type
string
New MIME type.
data_source_type
string
New data source type.
data_source_config
object
New data source configuration.
template_uri
string
New URI template.
curl -X POST \
  -H "Authorization: Bearer gmcp_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "description": "Updated guide for all weather tools",
    "data_source_config": {
      "content": "# Updated Weather Tools Guide\n\n..."
    }
  }' \
  "https://yoursite.com/wp-json/getmcp/v1/servers/1/resources/3"
{
  "id": 3,
  "server_id": 1,
  "uri": "docs://tool-guide",
  "name": "Tool Usage Guide",
  "description": "Updated guide for all weather tools",
  "mime_type": "text/markdown",
  "data_source_type": "static",
  "data_source_config": {
    "content": "# Updated Weather Tools Guide\n\n..."
  },
  "template_uri": null,
  "created_at": "2025-03-18T10:00:00",
  "updated_at": "2025-03-18T14:00:00"
}